package com.aidex.common.plush.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.github.pagehelper.PageInfo;
import com.aidex.common.core.domain.BaseEntity;
import com.aidex.common.core.service.BaseServiceImpl;
import com.aidex.common.plush.mapper.SysShipExtendMapper;
import com.aidex.common.plush.domain.SysShipExtend;
import com.aidex.common.plush.service.SysShipExtendService;
import org.springframework.transaction.annotation.Transactional;

/**
 * 船只信息扩展（查询站点数据使用）Service业务层处理
 * @author shs
 * @email shs@woshs.com
 * @date 2024-03-27
 */
@Service
@Transactional(readOnly = true)
public class SysShipExtendServiceImpl implements SysShipExtendService {

    private static final Logger log = LoggerFactory.getLogger(SysShipExtendServiceImpl.class);

    @Autowired
    private SysShipExtendMapper sysShipExtendMapper;


    public void save(SysShipExtend sysShipExtend){
            sysShipExtendMapper.insert(sysShipExtend);
    }

    public void update(SysShipExtend sysShipExtend){
        sysShipExtendMapper.update(sysShipExtend);
    }

    public void updateByShip(SysShipExtend sysShipExtend){
        sysShipExtendMapper.updateByShip(sysShipExtend);
    }

    public SysShipExtend findById(String id){
       return sysShipExtendMapper.get(id);
    }

    public void delByIds(String[] ids){
        sysShipExtendMapper.deleteByIds(ids);
    }

    public List<SysShipExtend> findList(SysShipExtend sysShipExtend){
        return sysShipExtendMapper.findList(sysShipExtend);
    }

}
